Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class ServerException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException
                              |
                              +--java.rmi.ServerException

public class ServerException
extends RemoteException

A `ServerException` is thrown as a result of a remote method invocation when a `RemoteException` is thrown while processing the invocation on the server, either while unmarshalling the arguments, executing the remote method itself, or marshalling the return value.

Since:
  JDK1.1

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`ServerException(java.lang.String s)` Constructs a `ServerException` with the specified detail message.
`ServerException(java.lang.String s, java.lang.Exception ex)` Constructs a `ServerException` with the specified detail message and nested exception.

Methods inherited from class java.rmi.RemoteException
`getMessage`

Methods inherited from class java.lang.Throwable
`printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerException

    public ServerException(java.lang.String s)

  Constructs a `ServerException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  JDK1.1

### ServerException

    public ServerException(java.lang.String s,
                           java.lang.Exception ex)

  Constructs a `ServerException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 1.0 of J2ME Web Services Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved. Use is subject to license terms.